slepc-3.10.1 2018-10-23
Report Typos and Errors

# DSRegister

Adds a direct solver to the DS package.

### Synopsis

    #include "slepcds.h"
    PetscErrorCode DSRegister(const char *name,PetscErrorCode (*function)(DS))

Not collective

### Input Parameters

| name | - name of a new user-defined DS
| routine_create | - routine to create context

### Notes

DSRegister() may be called multiple times to add several user-defined direct solvers.

### See Also

DSRegisterAll()

Location: src/sys/classes/ds/interface/dsbasic.c
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages